import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'logger.dart';
import 'view/init_view.dart';
import 'styles/theme.dart';
import 'package:flutter_gen/gen_l10n/app_localizations.dart';

void main() {
  WidgetsFlutterBinding.ensureInitialized();
  runApp(const App());
}

class App extends StatelessWidget{
  const App({super.key});

  @override
  Widget build(BuildContext context) {
    info('size: ${MediaQuery.of(context).size}');
    return GetMaterialApp(
      debugShowCheckedModeBanner: true,
      title: '小飞龙定向场控',
      theme: appThemeData(),
      darkTheme: appThemeData(),
      localizationsDelegates: AppLocalizations.localizationsDelegates,
      supportedLocales: AppLocalizations.supportedLocales,
      home: const InitView(),
    );
  }

}

